Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.routing
Class WireTap

    java.lang.Object
      org.mule.processor.AbstractMessageObserver
          org.mule.routing.WireTap

All Implemented Interfaces:
  MessageProcessor

    public class WireTap

extends AbstractMessageObserver

The `WireTap` MessageProcessor allows inspection of messages in a flow.

The incoming message is is sent to both the primary and wiretap outputs. The flow of the primary output will be unmodified and a copy of the message used for the wiretap output.

An optional filter can be used to filter which message are sent to the wiretap output, this filter does not affect the flow to the primary output. If there is an error sending to the wiretap output no exception will be thrown but rather an error logged.

EIP Reference: `http://www.eaipatterns.com/WireTap.html`

Field Summary
`protected Filter` | `filter`
`protected MessageProcessor` | `filteredTap`
`protected MessageProcessor` | `tap`

Fields inherited from class org.mule.processor.AbstractMessageObserver
`logger`

Constructor Summary
`WireTap()`

Method Summary
`Filter` | `getFilter()`
`MessageProcessor` | `getTap()`
`void` | `observe(MuleEvent event)`
`void` | `setFilter(Filter filter)`
`void` | `setMessageProcessor(MessageProcessor tap)` Deprecated.
`void` | `setTap(MessageProcessor tap)`

Methods inherited from class org.mule.processor.AbstractMessageObserver
`process, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### tap

    protected volatile MessageProcessor tap

### filter

    protected volatile Filter filter

### filteredTap

    protected MessageProcessor filteredTap

Constructor Detail

### WireTap

    public WireTap()

Method Detail

### observe

    public void observe(MuleEvent event)

  Specified by:
    `observe` in class `AbstractMessageObserver`

### getTap

    public MessageProcessor getTap()

### setTap

    public void setTap(MessageProcessor tap)

### setMessageProcessor

    @Deprecated
    public void setMessageProcessor(MessageProcessor tap)

  Deprecated.

### getFilter

    public Filter getFilter()

### setFilter

    public void setFilter(Filter filter)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.